export type LogType =
    | "agent"
    // Message from agent received via WebSocket 'onMessage' event.
    | "agent.worker"
    | "agent.message"
    | "agent.log"
    | "agent.send.request"
    | "agent.conf.request"
    | "agent.monitoring.request"
    | "agent.conf.response"
    | "agent.conf.catch"
    | "agent.ping"
    | "agent.response"
    | "agent.response.error"
    | "agent.response.validation-error"
    | "agent.auto-ping.request"
    | "agent.speedtest"
    | "agent.connection"
    | "agent.disconnect"
    | "agent-connections"
    | "api"
    | "api.syntax-error"
    | "api.internal"
    | "api.request"
    | "api.response"
    | "app"
    | "app.info"
    | "app.connection"
    | "app.configure"
    | "app.connect"
    | "app.disconnect"
    | "app.error.catch"
    // Message from application received via WebSocket 'onMessage' event.
    | "app.message"
    | "app.request"
    | "app.response"
    | "app.response.error"
    | "app.response.validation-error"
    | "app.register"
    | "bi"
    | "bi.path"
    | "bi.request"
    | "bi.response"
    | "command"
    | "component.bi"
    | "component.interface"
    | "component.route"
    | "component.sr-policy"
    | "geoip"
    | "sid"
    | "slack"
    | "component.status"
    | "component.status.change"
    | "component.status.configuration-error"
    | "component.status.process-error"
    | "component.status.ready"
    | "component.status.test"
    | "component.status.unconfiguration-error"
    | "event"
    | "example"
    | "elasticsearch"
    | "orchestrator"
    | "main"
    | "mail.error"
    | "middleware.error-handler"
    | "migrations"
    | "monitoring"
    | "restconf"
    | "user"
    | "platform"
    | "platform.worker"
    | "platform-agent"
    | "platform-agent.worker"
    | "platform-agent.conf.catch"
    | "platform-agent.conf.request"
    | "platform-agent.connection"
    | "platform-agent.connected"
    | "platform-agent.hardware-info"
    | "platform-agent.container-info"
    | "platform-agent.kubernetes-info"
    | "platform-agent.wg-route-status"
    | "platform-agent.service"
    | "platform-agent.disconnect"
    | "platform-agent.message"
    | "platform-agent.response.error"
    | "platform-agent.response.validation-error"
    | "platform-agent.send.request"
    | "uncaught-exception"
    | "unhandled-rejection"
    | "unspecified"
    | "webhook.change-path"
    | "redis"
    | "geolocation"
    | "worker"
    | "cronjob"
    | "event"
    | "event-received"
    | "event-published"
    | "event-acknowledged";

export interface ECSConsoleMessage {
    "@timestamp"?: string;
    message: string | object | null | undefined;
    type: LogType;
    src?: string;
    dest?: string;
    header: number;
    id?: string;
    userId?: number;
    agentId?: number;
    agentName?: string;
    response_time?: number;
    serverId?: number;
    serverIp?: string;
    serverName?: string | string[];
    subject?: string;
    sequence?: any;
    data?: string;
}
